#!/bin/bash
#
# IPFire - dsl modem status installer
#
# This code is distributed under the terms of the GPL
#
# 24.08.2006 Arne Fitzenreiter
#

#
#  check if already installed ...
#
if [ -e "/home/httpd/cgi-bin/dslstatus.cgi" ] ; then
echo
echo Error! dslmodemstat is already installed!
echo
else
#
# backup ini files
#
echo Backup ini files ...
mkdir backup-install
cd backup-install
cp /etc/rc.d/rc.red ./
cp /var/ipcop/header.pl ./
cd ..
#
# copy new files
#
echo Copy dslmodemstat ...
cp dslstatus.cgi /home/httpd/cgi-bin/
cp dslmodem.cgi /home/httpd/cgi-bin/
mkdir /var/ipcop/dslmodem
cp dslmodem/* /var/ipcop/dslmodem
chmod 666 /var/ipcop/dslmodem/active
patch /etc/rc.d/rc.red < rc.red.diff
# patch ndert den user/rechter zurckndern.
chown root:nobody /etc/rc.d/rc.red
chmod 4750 /etc/rc.d/rc.red
patch /var/ipcop/header.pl < header.pl.diff

echo
echo installed.
echo
fi
