#!/bin/bash
#
# IPFire - dsl modem stat uninstall
#
# This code is distributed under the terms of the GPL
#
# 24.08.2006 Arne Fitzenreiter
#

#  check if installed ...
#
if [ ! -e "/home/httpd/cgi-bin/dslstatus.cgi" ] ; then
echo
echo Error! dslmodemstat is not installed!
echo
else
if [ ! -e "backup-install/rc.red" ] ; then
echo
echo Error! uninstall information not found!
echo
else
#
# backup files
#
echo Backup files ...
mkdir backup-uninstall
cd backup-uninstall
cp /etc/rc.d/rc.red ./
cp /var/ipcop/header.pl ./
cp /home/httpd/cgi-bin/dsl* ./
mkdir dslmodem
cd dslmodem
cp /var/ipcop/dslmodem/* ./
cd ..
cd ..

#
# uninstall dslmodemstat
#
echo Backup dslmodemstat ...
patch -R /etc/rc.d/rc.red < rc.red.diff
chown root:nobody /etc/rc.d/rc.red
chmod 4750 /etc/rc.d/rc.red
patch -R /var/ipcop/header.pl < header.pl.diff
rm /home/httpd/cgi-bin/dslmodem.cgi
rm /home/httpd/cgi-bin/dslstatus.cgi
rm /var/ipcop/dslmodem/*
rmdir /var/ipcop/dslmodem

echo
echo Deinstalled.
echo
fi
fi
