#!/usr/bin/perl
#
# IPFire - dsl modem status 0.05
#
# This code is distributed under the terms of the GPL
#
# 25.08.2006 Arne Fitzenreiter
#

use strict;

# enable only the following on debugging purpose
# use warnings;
# use CGI::Carp 'fatalsToBrowser';

require '/var/ipcop/general-functions.pl';
require "${General::swroot}/lang.pl";
require "${General::swroot}/header.pl";

my %dsl=();
my $output='';

sub tagfilter{
  my $input = $_[0];
  my $tag = uc($_[1]);

  until(index(uc($input),"<$tag") eq -1)
  {
     my $start=index(uc($input),"<$tag");
     my $stop=index($input,'>',$start);
     my $output1=substr($input,0,$start);
     my $output2=substr($input,$stop+1);
     $input="$output1$output2";
   #  print"$tag removed ($start,$stop)<BR>"
  }
  return($input);
}

&Header::showhttpheaders();

&General::readhash("${General::swroot}/dslmodem/active", \%dsl);

&Header::openpage($Lang::tr{'DSL-Modem Status'}, 1, '');

&Header::openbigbox('100%', 'left');

print "<table width='100%' cellspacing='0' cellpadding='5'border='0'>\n";
print "<tr><td style='background-color: #EAE9EE;' align='left'>\n| ";
if ($dsl{'PAGE1ON'}) {print "<a href='#1'>$dsl{'PAGE1NAME'}</a> |\n"; }
if ($dsl{'PAGE2ON'}) {print "<a href='#2'>$dsl{'PAGE2NAME'}</a> |\n"; }
if ($dsl{'PAGE3ON'}) {print "<a href='#3'>$dsl{'PAGE3NAME'}</a> |\n"; }
if ($dsl{'PAGE4ON'}) {print "<a href='#4'>$dsl{'PAGE4NAME'}</a> |\n"; }
if ($dsl{'PAGE5ON'}) {print "<a href='#5'>$dsl{'PAGE5NAME'}</a> |\n"; }
if ($dsl{'PAGE6ON'}) {print "<a href='#6'>$dsl{'PAGE6NAME'}</a> |\n"; }
print "</td><td><p align='right'>| <a href='dslmodem.cgi'>Modem-Setup</a> |</p></tr></table>\n";

print "<META HTTP-EQUIV='refresh' CONTENT='$dsl{'REFRESH'};url=dslstatus.cgi'>";

if ($dsl{'PAGE1ON'}) {
    print "<a name='1'>\n";
    &Header::openbox('100%', 'left', "$dsl{'PAGE1NAME'} [$dsl{'NAME'}]" );
    $output = `/usr/bin/wget -q -O /dev/stdout  --connect-timeout $dsl{'TIMEOUT'} --read-timeout $dsl{'TIMEOUT'} --http-user=$dsl{'USER'} --http-password=$dsl{'PASS'} -t 1 "$dsl{'IP'}/$dsl{'PAGE1'}"`;

    $output=tagfilter($output,"meta");
    $output=tagfilter($output,"style");
    $output=tagfilter($output,"img");
    $output=tagfilter($output,"a href");
    $output=tagfilter($output,"input");


    if (index(uc($output),'<HTML>') eq -1) {$output="<font color='red'><B>No Answer</B> from modem!</font>";}

    print "$output";
    &Header::closebox();
}
 
if ($dsl{'PAGE2ON'}) {
    print "<a name='2'>\n";
    &Header::openbox('100%', 'left', "$dsl{'PAGE2NAME'} [$dsl{'NAME'}]" );
    $output = `/usr/bin/wget -q -O /dev/stdout  --connect-timeout $dsl{'TIMEOUT'} --read-timeout $dsl{'TIMEOUT'} --http-user=$dsl{'USER'} --http-password=$dsl{'PASS'} -t 1 "$dsl{'IP'}/$dsl{'PAGE2'}"`;

    $output=tagfilter($output,"meta");
    $output=tagfilter($output,"style");
    $output=tagfilter($output,"img");
    $output=tagfilter($output,"a href");
    $output=tagfilter($output,"input");

    if (index(uc($output),'<HTML>') eq -1) {$output="<font color='red'><B>No Answer</B> from modem!</font>";}

    print "$output";
    &Header::closebox();
}

if ($dsl{'PAGE3ON'}) {
    print "<a name='3'>\n";
    &Header::openbox('100%', 'left', "$dsl{'PAGE3NAME'} [$dsl{'NAME'}]" );
    $output = `/usr/bin/wget -q -O /dev/stdout  --connect-timeout $dsl{'TIMEOUT'} --read-timeout $dsl{'TIMEOUT'} --http-user=$dsl{'USER'} --http-password=$dsl{'PASS'} -t 1 "$dsl{'IP'}/$dsl{'PAGE3'}"`;

    $output=tagfilter($output,"meta");
    $output=tagfilter($output,"style");
    $output=tagfilter($output,"img");
    $output=tagfilter($output,"a href");
    $output=tagfilter($output,"input");


    if (index(uc($output),'<HTML>') eq -1) {$output="<font color='red'><B>No Answer</B> from modem!</font>";}

    print "$output";
    &Header::closebox();
}

if ($dsl{'PAGE4ON'}) {
    print "<a name='4'>\n";
    &Header::openbox('100%', 'left', "$dsl{'PAGE4NAME'} [$dsl{'NAME'}]" );
    $output = `/usr/bin/wget -q -O /dev/stdout  --connect-timeout $dsl{'TIMEOUT'} --read-timeout $dsl{'TIMEOUT'} --http-user=$dsl{'USER'} --http-password=$dsl{'PASS'} -t 1 "$dsl{'IP'}/$dsl{'PAGE4'}"`;

    $output=tagfilter($output,"meta");
    $output=tagfilter($output,"style");
    $output=tagfilter($output,"img");
    $output=tagfilter($output,"a href");
    $output=tagfilter($output,"input");


    if (index(uc($output),'<HTML>') eq -1) {$output="<font color='red'><B>No Answer</B> from modem!</font>";}

    print "$output";
    &Header::closebox();
}

if ($dsl{'PAGE5ON'}) {
    print "<a name='5'>\n";
    &Header::openbox('100%', 'left', "$dsl{'PAGE5NAME'} [$dsl{'NAME'}]" );
    $output = `/usr/bin/wget -q -O /dev/stdout  --connect-timeout $dsl{'TIMEOUT'} --read-timeout $dsl{'TIMEOUT'} --http-user=$dsl{'USER'} --http-password=$dsl{'PASS'} -t 1 "$dsl{'IP'}/$dsl{'PAGE5'}"`;

    $output=tagfilter($output,"meta");
    $output=tagfilter($output,"style");
    $output=tagfilter($output,"img");
    $output=tagfilter($output,"a href");
    $output=tagfilter($output,"input");


    if (index(uc($output),'<HTML>') eq -1) {$output="<font color='red'><B>No Answer</B> from modem!</font>";}

    print "$output";
    &Header::closebox();
}

if ($dsl{'PAGE6ON'}) {
    print "<a name='6'/>\n";
    &Header::openbox('100%', 'left', "$dsl{'PAGE6NAME'} [$dsl{'NAME'}]" );
    $output = `/usr/bin/wget -q -O /dev/stdout  --connect-timeout $dsl{'TIMEOUT'} --read-timeout $dsl{'TIMEOUT'} --http-user=$dsl{'USER'} --http-password=$dsl{'PASS'} -t 1 "$dsl{'IP'}/$dsl{'PAGE6'}"`;

    $output=tagfilter($output,"meta");
    $output=tagfilter($output,"style");
    $output=tagfilter($output,"img");
    $output=tagfilter($output,"a href");
    $output=tagfilter($output,"input");


    if (index(uc($output),'<HTML>') eq -1) {$output="<font color='red'><B>No Answer</B> from modem!</font>";}

    print "$output";
    &Header::closebox();
}

&Header::closebigbox();

&Header::closepage();
